[Pgbadger] packaging pgbadger for Debian

Gilles Darold gilles.darold at dalibo.com
Tue Jan 29 16:20:32 CET 2013


Hi Mateuz,

Le 29/01/2013 15:10, Mateusz Kijowski a écrit :
> Hi,
>
>
> I have an open ITP (intent to package) issue in Debian's bugtracker
> for pgbadger and I have started packaging it today. I have the package
> somewhat ready, but I presume that anyone sponsoring the upload to
> Debian (I am not a DD) will ask me why the SQL::Beautify perl module
> is included in it and ask me to package it separately. In the README
> it is stated that this is a modified version of the module. Can you
> provide the diff of your changes? Perhaps the only reason for
> including the module is convenience of a self-contained perl script?

Yes the self-contained perl script is mandatory to be able to run this
tool on any OS without the need of additional package, but also because
this is a modified version of SQL::Beautify that do not permit a
site/vendor Perl install. Now that this part will not change a lot and
is stable enough, maybe it is time to propose a patch to SQL::Beautify
author and see if it could be included.

> I guess that packaging it as it is might be problematic not only
> because of including a specific version of a library but also because
> of copyright issues (since pgbadger script is covered in part by your
> BSD licence and SQL::Beautify Artistic License ).

As you notice pgbadger is published under the PostgreSQL licence and
SQL::Beautify is published under the terms of
the Artistic License 2.0, I don't see where this could be a problem. If
there's any let us know.

Regards,

-- 
Gilles Darold
http://dalibo.com - http://dalibo.org



More information about the pgBadger mailing list